## rpcbind 2.1

=== Makefile ===
#
# Sun RPC is a product of Sun Microsystems, Inc. and is provided for
# unrestricted use provided that this legend is included on all tape
# media and as a part of the software program in whole or part.  Users
# may copy or modify Sun RPC without charge, but are not authorized
# to license or distribute it to anyone else except as part of a product or
# program developed by the user.
#
# SUN RPC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE
# WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR
# PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.
#
# Sun RPC is provided with no support and without any obligation on the
# part of Sun Microsystems, Inc. to assist in its use, correction,
# modification or enhancement.
#
# SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE
# INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY SUN RPC
# OR ANY PART THEREOF.
#
# In no event will Sun Microsystems, Inc. be liable for any lost revenue
# or profits or other special, indirect and consequential damages, even if
# Sun has been advised of the possibility of such damages.
#
# Sun Microsystems, Inc.
# 2550 Garcia Avenue
# Mountain View, California  94043
#
#
#ident	"@(#)Makefile	1.3	90/05/14 SMI"
#
# Copyright (c) 1989 by Sun Microsystems, Inc.

# Preprocessor flags:
#       FACILITY        The sylog message class.
#       SEVERITY        Severity for verbose-mode logging.
#       PORTMAP         Support the portmap protocol (REQUIRED).
#       CHECK_LOCAL     Allow RPC procedures to be set and unset via
#                       the portmap protocol.  Normally this is disallowed,
#                       requiring sets/unsets to be done through the rpcbind
#                       protocol, which is more secure through the use of the
#                       loopback transport.  But it allows programs that use
#                       the old rpc library to work with rpcbind (REQUIRED).
#       DEBUG           Enable a variety of debugging printouts.  Do not
#                       detach from tty when running.


PROG= rpcbind

OBJS= check_bound.o pmap_svc.o rpcb_svc.o rpcb_svc_com.o rpcb_svc_4.o \
	 rpcb_stat.o rpcbind.o warmstart.o rpcb_check.o

SRCS= $(OBJS:%.o=%.c)

FILES	= README Makefile check_bound.c pmap_svc.c rpcb_check.c rpcb_check.h \
	rpcb_stat.c rpcb_svc.c rpcb_svc_4.c rpcb_svc_com.c rpcbind.c \
	rpcbind.h warmstart.c Changes

CPPFLAGS= -g -I. -DPORTMAP \
	-DCHECK_LOCAL \
	-DFACILITY=LOG_MAIL \
	-DSEVERITY=LOG_INFO
LDLIBS = $(WRAP_DIR)/libwrap.a -lsocket -lnsl -ldl

all: config-check $(PROG) $(TXTS)

$(PROG): $(OBJS)
	$(CC) -g $(OBJS) -o $@ $(LDLIBS)

config-check:
	@set +e; test -n "$(WRAP_DIR)" || { \
	    echo "Do a 'setenv WRAP_DIR /dir/with/libwrap.a' first." 1>&2; \
	    exit 1; \
	}

Changes: pmap_svc.c rpcb_svc.c rpcb_svc_com.c rpcbind.c rpcb_svc_4.c rpcb_stat.c
	-(diff -c pmap_svc.c- pmap_svc.c; \
	diff -c rpcb_svc.c- rpcb_svc.c; \
	diff -c rpcb_svc_com.c- rpcb_svc_com.c; \
	diff -c rpcbind.c- rpcbind.c; \
	diff -c rpcb_stat.c- rpcb_stat.c; \
	diff -c rpcb_svc_4.c- rpcb_svc_4.c) >$@

shar: $(FILES)
	@shar $(FILES)

clean:
	$(RM) $(OBJS) $(PROG)

lint: lint_SRCS

check_bound.o : check_bound.c rpcbind.h 
pmap_svc.o : pmap_svc.c 
rpcb_check.o : rpcb_check.c rpcbind.h rpcb_check.h 
rpcb_stat.o : rpcb_stat.c rpcbind.h 
rpcb_svc.o : rpcb_svc.c rpcbind.h rpcb_check.h 
rpcb_svc_4.o : rpcb_svc_4.c rpcbind.h 
rpcb_svc_com.o : rpcb_svc_com.c rpcbind.h 
rpcbind.o : rpcbind.c rpcbind.h 
warmstart.o : warmstart.c rpcbind.h
