## rpcbind 0.2.0

=== debian/changelog ===
rpcbind (0.2.0-8ubuntu1) raring; urgency=low

   * Merge from Debian unstable, remaining changes:
     - Handle removal of obsolete init script on upgrade.
     - Convert rpcbind to Upstart
     - Fix to look directly in /run instead of via the /var/run symlink
   * Dropped changes:
     - No dpkg pre-depends needed post-LTS, versioned dep also satisfied
       already in Debian stable.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Nov 2012 00:48:07 -0800

rpcbind (0.2.0-8) unstable; urgency=low

  * Relabel the files if SE Linux is active
    Patch by Russell Coker
    Closes: #658369
  * Enable hardened build flags
  * DH compatibility level is 9
  * Standards version is 3.9.3

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 16 Jun 2012 00:02:37 +1000

rpcbind (0.2.0-7ubuntu2) quantal; urgency=low

  * debian/rpcbind.portmap-wait.upstart: export ON_BOOT=y when starting
    portmap from here; since portmap and statd will only race to start on
    boot, and not when started from a maintainer script, we can assume that
    the only time this 'start' command has any effect is at boot time, so
    it's always correct to say ON_BOOT=y here.  This fixes a problem with
    racy startup of portmap causing other services that depend on portmap to
    start too early.  LP: #1007293.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Jun 2012 15:21:15 -0700

rpcbind (0.2.0-7ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Handle removal of obsolete init script on upgrade.
    - Add necessary dpkg versioned pre-depends for use of
      dpkg-maintscript-helper
    - Convert rpcbind to Upstart
    - Fix to look directly in /run instead of via the /var/run symlink

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Jan 2012 23:36:02 -0800

rpcbind (0.2.0-7) unstable; urgency=low

  [ Luca Capello ]
  * debian/control:
    + Depends: on initscripts (>= 2.88dsf-13.3) for /run transition.
  * debian/init.d:
    + STATEDIR is now on /run.
    + add PIDFILE variable.
    + migrate to /run/sendsigs.omit.d/ creating the PIDFILE in /run
      and symlinking it (Closes: #633035).
    + remove PIDFILE on stop.
  * debian/postinst:
    + move /lib/init/rw/sendsigs.omit.d/rpcbind to /run/rpcbind.pid
      and symlink it to /run/sendsigs.omit.d/rpcbind.
  * debian/postrm:
    + remove files in /run, not /var/run.
  * debian/rules:
    + use /run/rpcbind for --with-statedir.

  [ Anibal Monsalve Salazar ]
  * Bust rpcbind startup annoying messages
    Patch by Steven Hudson
    Closes: 620800
  * Standars-Version is 3.9.2
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 10 Dec 2011 11:36:35 +1100

rpcbind (0.2.0-6ubuntu3.1) oneiric-proposed; urgency=low

  * Fix to look directly in /run instead of via the /var/run symlink which
    is not guaranteed to be present yet when the job starts when /var is a
    separate partition; and include a versioned dependency on initscripts
    to ensure proper upgrade ordering.  LP: #875471.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Oct 2011 18:58:41 +0000

rpcbind (0.2.0-6ubuntu3) oneiric; urgency=low

  * Add necessary dpkg versioned pre-depends for use of
    dpkg-maintscript-helper, missed in the previous upload.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Jul 2011 13:54:10 +0200

rpcbind (0.2.0-6ubuntu2) oneiric; urgency=low

  * Handle removal of obsolete init script on upgrade.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 18 Jul 2011 23:50:00 -0700

rpcbind (0.2.0-6ubuntu1) oneiric; urgency=low

  * Convert rpcbind to Upstart, based on work on portmap with help from
    Colin Watson.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2011 04:22:16 +0000

rpcbind (0.2.0-6) unstable; urgency=medium

  * Depend on fixed insserv (or use file-rc). Closes: #618881 

 -- Luk Claes <luk@debian.org>  Sat, 19 Mar 2011 15:57:22 +0100

rpcbind (0.2.0-5) unstable; urgency=low

  * Add insserv.conf.d file to provide virtual $portmap facility.
    Closes: #565201,#591338
  * Avoid rpcbind getting killed too early when shutting down.
    Closes: #593164
  * Also create rc*.d links for [2-5]. Closes: #594608
  * Minor improvements of init script. Closes: #589486
  * Fix FTBFS on kFreeBSD. Closes: #610718

 -- Luk Claes <luk@debian.org>  Sat, 12 Mar 2011 17:53:51 +0100

rpcbind (0.2.0-4.1) unstable; urgency=high

  * Non-maintainer upload by the security team.
  * CVE-2010-2061: Store state files in /var/run/rpcbind instead of /tmp.
    Closes: #583435

 -- Stefan Fritsch <sf@debian.org>  Sat, 17 Jul 2010 21:47:56 +0200

rpcbind (0.2.0-4) unstable; urgency=low

  * -w is the default option 
  * Pass the -w option
    Closes: 563970
  * Enable warm starts
    Add 03-563971-warmstart-error-msg.patch
    Closes: 563971
  * Enable host name checking
    Build-depend on libwrap0-dev
  * Provide portmap

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 08 Jan 2010 10:13:54 +1100

rpcbind (0.2.0-3) unstable; urgency=low

  * Add 01-usage-fix.patch from redhat
  * Add init script
    Conflict with portmap
    Depend on lsb-base (>= 3.2-14)
    Closes: 563053
  * Don't rename rpcinfo
  * Put rpcbind in /sbin and rpcinfo in /usr/sbin
  * Rename rpcinfo.8 as rpcinfo.7
  * Add 02-manpages.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 06 Jan 2010 15:37:32 +1100

rpcbind (0.2.0-2) unstable; urgency=low

  * Don't overwrite files from libc{-bin,N}
    Rename rpcinfo as rpcbindinfo and rpcinfo.8 as rpcbindinfo.8
    Patch by Ivan Shmakov
    Closes: 544567
  * Add debian/watch 
  * Debian source format is 3.0 (quilt)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 27 Dec 2009 21:39:02 +1100

rpcbind (0.2.0-1) unstable; urgency=low

  * Initial release
    Closes: #542791

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 21 Aug 2009 18:51:29 +1000
