=== debian/control ===
Source: rpcbind
Section: net
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Luk Claes <luk@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autotools-dev, libtirpc-dev, libwrap0-dev
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/rpcbind/

Package: rpcbind
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), insserv (>= 1.14.0-2.1) | file-rc, initscripts (>= 2.88dsf-13.3)
Conflicts: portmap
Replaces: portmap
Provides: portmap
Description: converts RPC program numbers into universal addresses
 The rpcbind utility is a server that converts RPC program numbers
 into universal addresses.
