=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

LDFLAGS += -Wl,-z,defs

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	cp -f /usr/share/misc/config.sub /usr/share/misc/config.guess .
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --enable-warmstarts --enable-libwrap --with-statedir=/run/rpcbind

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess man/rpcinfo.7
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Add here commands to install the package into debian/rpcbind.
	$(MAKE) DESTDIR=$(CURDIR)/debian/rpcbind install
	install -d debian/rpcbind/sbin
	install -d debian/rpcbind/usr/sbin
	install -d debian/rpcbind/etc/insserv.conf.d
	mv debian/rpcbind/usr/bin/rpcbind debian/rpcbind/sbin/rpcbind
	mv debian/rpcbind/usr/bin/rpcinfo debian/rpcbind/usr/sbin/rpcinfo
	rmdir debian/rpcbind/usr/bin
	cp debian/insserv.conf debian/rpcbind/etc/insserv.conf.d/rpcbind
	cp -p man/rpcinfo.8 man/rpcinfo.7

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman man/rpcinfo.7
	dh_installinit --upstart-only --no-start --name rpcbind-boot
	dh_installinit --upstart-only --no-start --name portmap-wait
	dh_installinit --upstart-only --name portmap
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
