## rpcbind 0.2.1

=== debian/changelog ===
rpcbind (0.2.1-2ubuntu2.2) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via
    use-after-free
    - debian/patches/CVE-2015-7236.patch: fix memory corruption in
      PMAP_CALLIT code in src/rpcb_svc_com.c.
    - CVE-2015-7236

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 25 Sep 2015 08:18:06 -0400

rpcbind (0.2.1-2ubuntu2.1) trusty; urgency=medium

  * Declare Breaks/Replaces against libc-bin (<< 2.16), to ensure a smooth
    upgrade from 12.04.  LP: #1354602.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Aug 2014 20:45:21 -0700

rpcbind (0.2.1-2ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/rpcbind.rpcbind-boot.upstart: document that this job emits the
      start-rpcbind event.
    - Don't pass -w to rpcbind on boot up, since the files won't be there to
      be read.
    - Migrate /etc/init/portmap.conf to /etc/init/rpcbind.conf

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 Jan 2014 16:27:45 -0800

rpcbind (0.2.1-2) unstable; urgency=low

  * Pass "--with-rpcuser=root" to configure
    Closes: #733742

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 01 Jan 2014 11:54:21 +1100

rpcbind (0.2.1-1) unstable; urgency=low

  * New upstream version 0.2.1
    - Run in no fork mode
      Closes: #648225
  * Merged upstream:
    01-usage-fix.patch
    Update:
    02-manpages.patch
    03-563971-warmstart-error-msg.patch
  * Standards version is 3.9.5
  * Update uploaders list
    Closes: #723601
  * Init script: do not print disruptive text
    Patch by Mats Erik Andersson
    Closes: #721448
  * Build-depend on pkg-config

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 31 Dec 2013 10:27:14 +1100

rpcbind (0.2.0-8.2ubuntu2) saucy; urgency=low

  * debian/rpcbind.rpcbind-boot.upstart: document that this job emits the
    start-rpcbind event.  Thanks to Sebastian Audet <smaudet@my.trine.edu>
    for the report.  LP: #1222274.
  * Don't pass -w to rpcbind on boot up, since the files won't be there to
    be read.  LP: #835833.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 09 Sep 2013 02:38:53 +0000

rpcbind (0.2.0-8.2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1217610); remaining changes:
    - Migrate /etc/init/portmap.conf to /etc/init/rpcbind.conf
  * All other Ubuntu changes have now been merged upstream.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 31 Aug 2013 12:59:57 -0700

rpcbind (0.2.0-8.2) unstable; urgency=low

  * Fix an error in the Ubuntu compatibility of the upstart job regarding
    initctl emit commands.  Closes: #719357.

 -- Steve Langasek <vorlon@debian.org>  Sat, 31 Aug 2013 19:47:34 +0000

rpcbind (0.2.0-8.1) unstable; urgency=low

   * Non-maintainer upload, approved by Luk Claes.
   * Convert rpcbind to Upstart.  Closes: #719357.
   * Fix to look directly in /run instead of via the /var/run symlink.
   * Adjust init script to start rpcbind only in rcS, not to try to start it
     again in runlevels [2345]: the service should always start reliably in
     rcS, with no reason to ever restart it later.  In practice, insserv
     already ignores the request to run the script twice (considering it
     "done" already after leaving runlevel S), so this is merely correcting
     the documentation of the current behavior.  Closes: #623377.

 -- Steve Langasek <vorlon@debian.org>  Mon, 12 Aug 2013 18:11:48 +0200

rpcbind (0.2.0-8ubuntu2) saucy; urgency=low

  * Migrate /etc/init/portmap.conf to /etc/init/rpcbind.conf, so that it
    matches the init script name and makes us compatible with new debhelper
    upstart handling.
  * Add versioned dependency on lsb-base, and make initscript
    upstart-aware.
  * debian/rules: drop use of obsolete --upstart-only argument to
    dh_installinit.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 10 Aug 2013 16:50:46 -0700
