## rpcbind 0.2.3

=== debian/changelog ===
rpcbind (0.2.3-0.6nosystemd1) nosystemd; urgency=medium

  * nosystemd 

 -- anticapitalista <antix@operamail.com>  Thu, 11 May 2017 19:29:55 +0300

rpcbind (0.2.3-0.6) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2017-8779: Memory leak when failing to parse XDR strings or bytearrays
    (Closes: #861835)
  * Bump runtime dependency on libtirpc1.
    Bump Depends on libtirpc1 (>= 0.2.5-1.2~) to pull the fixes on libtirpc1
    for CVE-2017-8779.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 05 May 2017 19:46:00 +0200

rpcbind (0.2.3-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not create empty /run/rpcbind/rpcbind.xdr or /run/rpcbind/portmap.xdr
    files during startup if they don't exist, it makes the daemon generate a
    warning.

 -- Laurent Bigonville <bigon@debian.org>  Fri, 17 Jun 2016 17:54:02 +0200

rpcbind (0.2.3-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rcpbind.service: Add WantedBy=multi-user.target, this should ensure
    that rpcbind daemon is started before nis (Closes: #805167, LP: #1558196)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 31 May 2016 11:55:08 +0200

rpcbind (0.2.3-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop dependency on insserv | file-rc and versioned
    dependency on initscripts package (Closes: #804937, #804980)
  * debian/rcpbind.service: Add Before/Wants=rpcbind.target so the .target is
    started as expected when rpcbind is available.
  * debian/rpcbind.socket: Add "DefaultDependencies=no" so the socket is
    available at really early boot (Closes: #806336, LP: #1580523)
  * debian/init.d: Fix LSB init output (Closes: #823081)
  * debian/rcpbind.service: Add a Documentation key

 -- Laurent Bigonville <bigon@debian.org>  Tue, 31 May 2016 09:34:59 +0200

rpcbind (0.2.3-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rpcbind.service: Set Type=notify and ask the daemon to not
    daemonize itself, rpcbind daemon is calling sd_notify() when ready.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Nov 2015 17:07:03 +0100

rpcbind (0.2.3-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
    - Enable systemd socket activation support (Closes: #679716)
  * Override init.d-script-not-included-in-package and
    init.d-script-not-marked-as-conffile lintian warnings/errors
  * Add systemd and tmpfiles.d files (Closes: #748074)
  * Add 07-Delete-the-unix-socket-only-if-we-have-created-it.patch: rpcbind
    daemon shouldn't try to remove its socket if it as been socket activated
  * Include some upstart jobs changes from Ubuntu (Closes: #747134)
    - debian/rpcbind.rpcbind-boot.upstart: document that this job emits the
      start-rpcbind event.
    - Don't pass -w to rpcbind on boot up, since the files won't be there to
      be read.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Nov 2015 13:36:12 +0100

rpcbind (0.2.1-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add CVE-2015-7236.patch patch.
    CVE-2015-7236: Memory corruption in PMAP_CALLIT code leading to denial
    of service. (Closes: #799307)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 23 Sep 2015 16:33:12 +0200

rpcbind (0.2.1-6) unstable; urgency=medium

  * Upload to unstable.
  * Fix "fails to upgrade from 'wheezy' - trying to overwrite
    /usr/share/man/man8/rpcinfo.8.gz".
    Breaks+Replaces: libc-bin (<< 2.16).
    Don't depend on libc-bin (>= 2.16).
    Closes: #734903.
  * Remove debian/source/options.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 18 Aug 2014 10:45:45 +0100

rpcbind (0.2.1-5) experimental; urgency=medium

  * Get rid of libgssglue1.
    Build-depend on libtirpc-dev (>= 0.2.4-2~).
    Depend on libtirpc1 (>= 0.2.4-2~).

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 02 Aug 2014 10:42:22 +0100

rpcbind (0.2.1-4) unstable; urgency=medium

  * Revert Roger Leigh's change to LSB initscript runlevels.
    Closes: #739053.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 16 Jul 2014 04:05:27 +0100

rpcbind (0.2.1-3) unstable; urgency=medium

  * Fix "fails to upgrade from 'wheezy' - trying to overwrite
    /usr/share/man/man8/rpcinfo.8.gz"
    Depend on libc-bin (>= 2.16)
    Closes: #734903
  * Fix LSB initscript runlevels
    Patch by Roger Leigh
    Closes: #739053

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Feb 2014 11:19:02 +1100
