=== debian/control ===
Source: rpcbind
Section: net
Priority: standard
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autotools-dev, pkg-config, libtirpc-dev (>= 0.2.4-2~), libwrap0-dev
Standards-Version: 3.9.5
Homepage: http://sourceforge.net/projects/rpcbind/

Package: rpcbind
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 4.1+Debian3), insserv (>= 1.14.0-2.1) | file-rc, initscripts (>= 2.88dsf-13.3), libtirpc1 (>= 0.2.5-1.2~)
Conflicts: portmap
Provides: portmap
Breaks: libc-bin (<< 2.16)
Replaces: libc-bin (<< 2.16)
Description: converts RPC program numbers into universal addresses
 The rpcbind utility is a server that converts RPC program numbers
 into universal addresses.
