=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,17 @@
 
 LDFLAGS += -Wl,-z,defs
 
+ifeq (linux,$(DEB_HOST_ARCH_OS))
+	CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=no
+else
+	CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=no
+endif
+
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
 	cp -f /usr/share/misc/config.sub /usr/share/misc/config.guess .
-	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --enable-warmstarts --enable-libwrap --with-statedir=/run/rpcbind --with-rpcuser=root
+	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --enable-warmstarts --enable-libwrap --with-statedir=/run/rpcbind --with-rpcuser=root $(CONFIGURE_EXTRA_FLAGS)
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -69,6 +75,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog
+	dh_lintian
 	dh_installdocs
 	dh_installexamples
 	dh_installman man/rpcinfo.7
