## rpcbind 1.2.5

=== debian/changelog ===
rpcbind (1.2.5-9.0nosystemd1) nosystemd; urgency=medium

  * no hard libsystemd0/libelogind0 dependency 

 -- anticapitalista <antix@operamail.com>  Thu, 11 Nov 2021 21:50:40 +0200

rpcbind (1.2.5-9) unstable; urgency=medium

  * Document -r has been added as a Debian extension.Thanks to Daniel
    Shahaf <danielsh@apache.org> for the patch. (Closes: #948629)
  * debian/rules: Enable debugging info with '--enable-debug'
    configuration flag. Thanks to Petr Vorel <petr.vorel@gmail.com> for
    the patch. (Closes: #963034)
  * Bump debhelper-compat to use (= 13)
  * debian/rules: Document Rulres-Requires-Root
  * Add debian autopkgtest suite
  * Bump Standards-Version to 4.5.0. No changes required

 -- Josue Ortega <josue@debian.org>  Sun, 12 Jul 2020 19:22:37 -0600

rpcbind (1.2.5-8) unstable; urgency=medium

  * Remove --enable-rmtcalls configuration flag (Closes: #870579). Add
    patch to activate remote calls at run-time
  * Add README.debian

 -- Josue Ortega <josue@debian.org>  Tue, 17 Sep 2019 21:36:01 -0600

rpcbind (1.2.5-7) unstable; urgency=medium

  * Enable remote calls using '--enable-rmtcalls' configuration flag.
    Closes: #939877

 -- Josue Ortega <josue@debian.org>  Mon, 09 Sep 2019 14:00:46 -0600

rpcbind (1.2.5-6) unstable; urgency=medium

  * debian/init.d: Restore retry at stop function to avoid racy restart
    (Removed by mistake in previous revision)
  * debian/rpcbind.socket: Remove Before=sockets.target directive

 -- Josue Ortega <josue@debian.org>  Sun, 11 Aug 2019 17:21:39 -0600

rpcbind (1.2.5-5) unstable; urgency=medium

  * debian/rules: Add --no-restart-after-upgrade option to
    dh_installsystemd to avoid race condition at rpcbind.socket
    initialization (Closes: #933268)

 -- Josue Ortega <josue@debian.org>  Mon, 05 Aug 2019 19:31:11 -0600

rpcbind (1.2.5-4) unstable; urgency=medium

  * debian/init.d: Add retry at stop function to avoid racy restart
    (Closes: #804670)
  * Add debian/rpcbind.default file. (Closes: #737276)
  * Refresh debian/patches.
  * Bump Standards-Version to 4.4.0. No changes required

 -- Josue Ortega <josue@debian.org>  Sat, 27 Jul 2019 15:12:58 -0300

rpcbind (1.2.5-3) unstable; urgency=medium

  * Upload to unstable (1.2.5-3)

 -- Josue Ortega <josue@debian.org>  Sun, 07 Jul 2019 14:08:33 -0600

rpcbind (1.2.5-2) experimental; urgency=medium

  * debian/control: Add Vcs-* fields.
  * debian/init.d:
    - Fix script to avoid the use of the command `stat` in case /usr is
      not mounted (Closes: #912237). Thanks to
      Allan Jensen <bugs@winge-jensen.dk> for the idea.
    - Fix typo at init script (Closes: #920495).
    - Add portmap to provides field (Closes: #920761).

 -- Josue Ortega <josue@debian.org>  Sun, 14 Apr 2019 13:31:40 -0600

rpcbind (1.2.5-1) experimental; urgency=medium

  * New maintainer (Closes: #925033)
  * debian/copyright: Update to use DEP-5 Format.
  * Bump Standards-Version to 4.3.0, no changes were required.
  * debian/postinst: Remove code check for code prepared prior to the
    release of oldstable.
  * debian/control:
    - Update dependency on  debhelper to use debhelper-compat (=12).
    - Add Pre-Depends field since maintainer script uses --skip-systemd-native
      flag.

 -- Josue Ortega <josue@debian.org>  Sat, 13 Apr 2019 13:17:49 -0600

rpcbind (1.2.5-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rpcbind.links: Create a compatibility symlink for rpcinfo from
    /usr/bin to /usr/sbin, seems there are several things in the archive
    expecting the binary to be in its previous location (Closes: #911510)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 22 Oct 2018 12:54:11 +0200

rpcbind (1.2.5-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable
  * debian/control: Downgrade priority to optional to match the override file

 -- Laurent Bigonville <bigon@debian.org>  Sat, 20 Oct 2018 14:18:44 +0200

rpcbind (1.2.5-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #867008)
    - Bump libtirpc-dev build-dependency to >= 1.0.2
    - d/p/07-Delete-the-unix-socket-only-if-we-have-created-it.patch,
      d/p/CVE-2015-7236.patch: Dropped, merged upstream
    - d/p/08-CVE-2017-8779.patch: Dropped, upstream fixed this in another way
  * Run the daemon as "_rpc" user instead of as root (Closes: #852066)
  * debian/control: Bump Standards-Version to 4.2.1 (no further changes)
  * debian/rules: Switch to dh sequences
  * debian/rpcbind.maintscript: Remove upstart init files
  * Bump debhelper compatibility version to 11 (Closes: #831002)
  * d/p/02-manpages.patch: Stop renaming rpcinfo.8 manpage to rpcinfo.7,
    section 8 is for "System management commands" which seems to fit properly
  * debian/rules: Enable all hardening as this is a network facing daemon
  * d/p/rpcinfo-Fix-stack-buffer-overflow.patch: Fix stack buffer overflow,
    cherry picked from upstream

 -- Laurent Bigonville <bigon@debian.org>  Sun, 14 Oct 2018 16:30:59 +0200
