=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq (linux,$(DEB_HOST_ARCH_OS))
	CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=no
else
	CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=no
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --sbindir=/sbin --enable-warmstarts --enable-libwrap --with-statedir=/run/rpcbind --with-rpcuser=_rpc --enable-debug $(CONFIGURE_EXTRA_FLAGS)

override_dh_installinit:
	dh_installinit
	install -d debian/rpcbind/etc/insserv.conf.d
	cp debian/insserv.conf debian/rpcbind/etc/insserv.conf.d/rpcbind
