## rpcbind 1.2.6

=== debian/changelog ===
rpcbind (1.2.6-2build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:29:41 +0000

rpcbind (1.2.6-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.5.1. No changes required
  * Bump debian/watch version to 4

 -- Josue Ortega <josue@debian.org>  Tue, 17 Aug 2021 09:31:36 -0600

rpcbind (1.2.6-1) experimental; urgency=medium

  * New upstream release (1.2.6):
    - Refresh debian/patches
    - Remove pcinfo-Fix-stack-buffer-overflow.patch. Path has been
      applied by upstream

 -- Josue Ortega <josue@debian.org>  Fri, 25 Jun 2021 20:01:46 -0600
