=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Build-Depends: debhelper-compat (= 13),
  pkg-config,
  libtirpc-dev (>= 1.0.2),
- libwrap0-dev
-Standards-Version: 4.5.0
+ libwrap0-dev,
+ libsystemd-dev [linux-any]
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://sourceforge.net/projects/rpcbind/
 Vcs-Git: https://salsa.debian.org/debian/rpcbind.git
