=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
-	CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=no
+	CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=/lib/systemd/system
 else
 	CONFIGURE_EXTRA_FLAGS += --with-systemdsystemunitdir=no
 endif
@@ -22,3 +22,12 @@
 	dh_installinit
 	install -d debian/rpcbind/etc/insserv.conf.d
 	cp debian/insserv.conf debian/rpcbind/etc/insserv.conf.d/rpcbind
+
+override_dh_installsystemd:
+	dh_installsystemd --no-restart-after-upgrade
+
+ifeq (linux,$(DEB_HOST_ARCH_OS))
+override_dh_link:
+	dh_link lib/systemd/system/rpcbind.service lib/systemd/system/portmap.service
+	dh_link
+endif
