=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Josue Ortega <josue@debian.org>
 Build-Depends: debhelper-compat (= 13),
- pkg-config,
- libtirpc-dev (>= 1.0.2),
+ pkgconf,
+ libtirpc-dev (>= 1.3.4+ds-1.1),
  libwrap0-dev,
  libsystemd-dev [linux-any]
-Standards-Version: 4.5.1
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: http://sourceforge.net/projects/rpcbind/
 Vcs-Git: https://salsa.debian.org/debian/rpcbind.git
@@ -18,7 +18,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- lsb-base (>= 4.1+Debian3),
  adduser
 Conflicts: portmap
 Provides: portmap
