=== debian/tests/control ===
Tests: check-if-installed
